geos::noding Namespace Reference

Classes to compute nodings for arrangements of line segments and line segment sequences. More...

## Namespaces

namespace | snapround
| Contains classes to implement the Snap Rounding algorithm for noding linestrings.

## Classes

class | BasicSegmentString
| Represents a list of contiguous line segments, and supports noding the segments. More...
class | BoundaryChainNoder
class | FastNodingValidator
| Validates that a collection of `SegmentString`s is correctly noded. More...
class | FastSegmentSetIntersectionFinder
| Finds if two sets of SegmentStrings intersect. More...
class | IntersectionAdder
| Computes the intersections between two line segments in SegmentString and adds them to each string. More...
class | IntersectionFinderAdder
| Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes. More...
class | IteratedNoder
| Nodes a set of SegmentStrings completely. More...
class | MCIndexNoder
| Nodes a set of SegmentString using a index based on MonotoneChain and a SpatialIndex. More...
class | MCIndexSegmentSetMutualIntersector
| Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex. More...
class | NodableSegmentString
| An interface for classes which support adding nodes to a segment string. More...
class | NodedSegmentString
| Represents a list of contiguous line segments, and supports noding the segments. More...
class | Noder
| Computes all intersections between segments in a set of SegmentString. More...
class | NodingIntersectionFinder
| Finds non-noded intersections in a set of `SegmentString`s, if any exist. More...
class | NodingValidator
| Validates that a collection of `SegmentString`s is correctly noded. Throws a TopologyException if a noding error is found. More...
class | Octant
| Methods for computing and working with octants of the Cartesian plane. More...
class | OrientedCoordinateArray
| Allows comparing `geom::CoordinateSequence`s in an orientation-independent way. More...
class | ScaledNoder
| Wraps a `Noder` and transforms its input into the integer domain. More...
class | SegmentExtractingNoder
class | SegmentIntersectionDetector
| Detects and records an intersection between two `SegmentString`s, if one exists. More...
class | SegmentIntersector
| Processes possible intersections detected by a Noder. More...
class | SegmentNode
| Represents an intersection point between two NodedSegmentString. More...
class | SegmentNodeList
| A list of the SegmentNode present along a NodedSegmentString. More...
class | SegmentPointComparator
| Implements a robust method of comparing the relative position of two points along the same segment. More...
class | SegmentSetMutualIntersector
| An intersector for the red-blue intersection problem. More...
class | SegmentString
| An interface for classes which represent a sequence of contiguous line segments. More...
class | SegmentStringUtil
| Utility methods for processing `SegmentString`s. More...
class | SimpleNoder
| Nodes a set of `SegmentString`s by performing a brute-force comparison of every segment to every other one. More...
class | SinglePassNoder
| Base class for `Noder`s which make a single pass to find intersections. More...
class | ValidatingNoder

## Typedefs

typedef SegmentIntersector | nodingSegmentIntersector
| Temporary typedef for namespace transition.

## Functions

bool | operator< (const OrientedCoordinateArray &oca1, const OrientedCoordinateArray &oca2)
std::ostream & | operator<< (std::ostream &os, const SegmentNodeList &l)
std::ostream & | operator<< (std::ostream &os, const SegmentString &ss)

## Detailed Description

Classes to compute nodings for arrangements of line segments and line segment sequences.

## Function Documentation

## operator<()

bool geos::noding::operator< | ( | const OrientedCoordinateArray & | oca1,
|  | const OrientedCoordinateArray & | oca2 )

inline

Strict weak ordering operator for OrientedCoordinateArray

This is the C++ equivalent of JTS's compareTo

References geos::noding::OrientedCoordinateArray::compareTo().